PETSc version 3.15.5
Fix/Edit manual page

# MatSetVecType

Set the vector type to be used for a matrix object

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetVecType(Mat mat,VecType vtype)

Collective on Mat

### Input Parameters

| mat | - the matrix object
| vtype | - vector type

### Notes

This is rarely needed in practice since each matrix object internally sets the proper vector type.

### See Also

VecSetType(), MatGetVecType()

### Level

intermediate

### Location

src/mat/interface/matreg.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages